summaryrefslogtreecommitdiffstats
path: root/system/system76-io-dkms
diff options
context:
space:
mode:
author Erich Ritz <erich.public@protonmail.com>2019-11-16 20:57:24 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-11-16 20:57:24 +0700
commitdc23f5156c83f3c3278c07feac738aab56f51d53 (patch)
treed89711bfc0ac4156118f2bdb2b09f76ffbbeb49d /system/system76-io-dkms
parent7b2c3667b7ad202320ba8a9a8be2ad6502a9661b (diff)
downloadslackbuilds-dc23f5156c83f3c3278c07feac738aab56f51d53.tar.gz
slackbuilds-dc23f5156c83f3c3278c07feac738aab56f51d53.tar.xz
system/system76-io-dkms: Added (DKMS module).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/system76-io-dkms')
-rw-r--r--system/system76-io-dkms/README17
-rw-r--r--system/system76-io-dkms/doinst.sh7
-rw-r--r--system/system76-io-dkms/slack-desc19
-rw-r--r--system/system76-io-dkms/system76-io-dkms.SlackBuild83
-rw-r--r--system/system76-io-dkms/system76-io-dkms.info10
5 files changed, 136 insertions, 0 deletions
diff --git a/system/system76-io-dkms/README b/system/system76-io-dkms/README
new file mode 100644
index 0000000000..66dbcbc7b9
--- /dev/null
+++ b/system/system76-io-dkms/README
@@ -0,0 +1,17 @@
+DKMS module for controlling System76 Io board.
+
+This kernel module enables reading/controlling the fan speed of fans plugged
+into the System76 Io board on Thelio desktops.
+
+To ensure loading of the system76-io kernel module, you may need to add
+modprobe system76-io
+to /etc/rc.d/rc.modules.local.
+
+See system76-power (available on SBo) for a daemon to control the fan speed.
+
+The system76-io dkms module is automatically registered with dkms by
+doinst.sh with the following command:
+dkms install system76-io/$VER
+
+Old versions of system76-io should be manually unregistered from dkms using:
+dkms remove system76-io/$OLD_VER --all
diff --git a/system/system76-io-dkms/doinst.sh b/system/system76-io-dkms/doinst.sh
new file mode 100644
index 0000000000..9e5bcd5ed0
--- /dev/null
+++ b/system/system76-io-dkms/doinst.sh
@@ -0,0 +1,7 @@
+VER=#MODULE_VERSION#
+dkms install system76-io/$VER
+
+# Before removing the system76-io package, the following command should
+# be run to unregister the module from dkms:
+#
+# dkms remove system76-io/$VER --all
diff --git a/system/system76-io-dkms/slack-desc b/system/system76-io-dkms/slack-desc
new file mode 100644
index 0000000000..dda12d5b94
--- /dev/null
+++ b/system/system76-io-dkms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+system76-io-dkms: system76-io-dkms (DKMS module for controlling System76 Io board)
+system76-io-dkms:
+system76-io-dkms: This kernel module enables reading/controlling the fan speed of fans
+system76-io-dkms: plugged into the System76 Io board on Thelio desktops.
+system76-io-dkms:
+system76-io-dkms: The kernel module is named system76-io.
+system76-io-dkms:
+system76-io-dkms: Homepage: https://github.com/pop-os/system76-io-dkms
+system76-io-dkms:
+system76-io-dkms:
+system76-io-dkms:
diff --git a/system/system76-io-dkms/system76-io-dkms.SlackBuild b/system/system76-io-dkms/system76-io-dkms.SlackBuild
new file mode 100644
index 0000000000..40ad2dc99d
--- /dev/null
+++ b/system/system76-io-dkms/system76-io-dkms.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for system76-io-dkms
+
+# Copyright 2019 Erich Ritz, Scottsdale, Arizona, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=system76-io-dkms
+MODNAM=system76-io
+VERSION=${VERSION:-1.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+if [ -e $CWD/$VERSION.tar.gz ]; then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+fi
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install source files
+mkdir -p $PKG/usr/src/$MODNAM-$VERSION
+cp -a \
+ Makefile ./*.c \
+ $PKG/usr/src/$MODNAM-$VERSION
+
+# Edit and install dkms configuration
+sed "s/#MODULE_VERSION#/${VERSION}/" "debian/system76-io-dkms.dkms" > "$PKG/usr/src/$MODNAM-$VERSION/dkms.conf"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE* README* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+sed "s/#MODULE_VERSION#/${VERSION}/" "$CWD/doinst.sh" > "$PKG/install/doinst.sh"
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/system76-io-dkms/system76-io-dkms.info b/system/system76-io-dkms/system76-io-dkms.info
new file mode 100644
index 0000000000..e4d59ba66a
--- /dev/null
+++ b/system/system76-io-dkms/system76-io-dkms.info
@@ -0,0 +1,10 @@
+PRGNAM="system76-io-dkms"
+VERSION="1.0.1"
+HOMEPAGE="https://github.com/pop-os/system76-io-dkms"
+DOWNLOAD="https://github.com/pop-os/system76-io-dkms/archive/1.0.1/system76-io-dkms-1.0.1.tar.gz"
+MD5SUM="7b78b9397bac972ebe4503262fea33c4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dkms"
+MAINTAINER="Erich Ritz"
+EMAIL="erich.public@protonmail.com"